diff -Naur a/cgi/cmd.c b/cgi/cmd.c
--- a/cgi/cmd.c	2009-09-10 13:33:28.000000000 +0200
+++ b/cgi/cmd.c	2009-09-10 13:58:32.000000000 +0200
@@ -792,10 +792,6 @@
 		printf("schedule downtime for a particular %s",(cmd==CMD_SCHEDULE_HOST_DOWNTIME)?"host":"service");
 		break;
 
-	case CMD_SCHEDULE_HOST_SVC_DOWNTIME:
-		printf("schedule downtime for all Services for a particular host");
-		break;
-
 	case CMD_PROCESS_HOST_CHECK_RESULT:
 	case CMD_PROCESS_SERVICE_CHECK_RESULT:
 		printf("submit a passive check result for a particular %s",(cmd==CMD_PROCESS_HOST_CHECK_RESULT)?"host":"service");
@@ -1157,7 +1153,6 @@
 		break;
 		
 	case CMD_SCHEDULE_HOST_DOWNTIME:
-	case CMD_SCHEDULE_HOST_SVC_DOWNTIME:
 	case CMD_SCHEDULE_SVC_DOWNTIME:
 
 		printf("<tr><td CLASS='optBoxRequiredItem'>Host Name:</td><td><b>");
@@ -1646,7 +1641,6 @@
 	case CMD_DISABLE_HOST_CHECK:
 	case CMD_REMOVE_HOST_ACKNOWLEDGEMENT:
 	case CMD_SCHEDULE_HOST_DOWNTIME:
-	case CMD_SCHEDULE_HOST_SVC_DOWNTIME:
 	case CMD_DELAY_HOST_NOTIFICATION:
 	case CMD_ENABLE_HOST_FLAP_DETECTION:
 	case CMD_DISABLE_HOST_FLAP_DETECTION:
@@ -1658,7 +1652,7 @@
 	case CMD_STOP_OBSESSING_OVER_HOST:
 
 		/* make sure we have author name and comment data... */
-		if(cmd==CMD_SCHEDULE_HOST_DOWNTIME||cmd==CMD_SCHEDULE_HOST_SVC_DOWNTIME){
+		if(cmd==CMD_SCHEDULE_HOST_DOWNTIME){
 			if(!strcmp(comment_data,"")){
 				if(!error_string)
 					error_string=strdup("Comment was not entered");
@@ -1675,7 +1669,7 @@
 			authorized=TRUE;
 
 		/* clean up the comment data if scheduling downtime */
-		if(cmd==CMD_SCHEDULE_HOST_DOWNTIME||cmd==CMD_SCHEDULE_HOST_SVC_DOWNTIME){
+		if(cmd==CMD_SCHEDULE_HOST_DOWNTIME){
 			clean_comment_data(comment_author);
 			clean_comment_data(comment_data);
 		        }
@@ -1687,7 +1681,7 @@
 			}
 
 		/* make sure we have start/end times for downtime (if necessary) */
-		if((cmd==CMD_SCHEDULE_HOST_DOWNTIME||cmd==CMD_SCHEDULE_HOST_SVC_DOWNTIME) && (start_time==(time_t)0 || end_time==(time_t)0 || start_time>end_time)){
+		if(cmd==CMD_SCHEDULE_HOST_DOWNTIME && (start_time==(time_t)0 || end_time==(time_t)0 || start_time>end_time)){
 			if(!error_string)
 				error_string=strdup("Start or end time not valid");
 			}
@@ -2110,10 +2104,6 @@
 		result = cmd_submitf(cmd,"%s;%lu;%lu;%d;%lu;%lu;%s;%s",host_name,start_time,end_time,fixed,triggered_by,duration,comment_author,comment_data);
 		break;
 		
-        case CMD_SCHEDULE_HOST_SVC_DOWNTIME:
-		result = cmd_submitf(cmd,"%s;%lu;%lu;%d;%lu;%lu;%s;%s",host_name,start_time,end_time,fixed,triggered_by,duration,comment_author,comment_data);
-                break;
-
 	case CMD_SCHEDULE_SVC_DOWNTIME:
 		result = cmd_submitf(cmd,"%s;%s;%lu;%lu;%d;%lu;%lu;%s;%s",host_name,service_desc,start_time,end_time,fixed,triggered_by,duration,comment_author,comment_data);
 		break;
@@ -2532,15 +2522,6 @@
 		printf("start and end times you specified) and lasts as long as the duration of time you enter.  The duration fields do not apply for fixed downtime.\n");
 		break;
 
-	case CMD_SCHEDULE_HOST_SVC_DOWNTIME:
-		printf("This command is used to schedule downtime for a particular host and all of his services.  During the specified downtime, Nagios will not send notifications out about the host.\n");
-		printf("When the scheduled downtime expires, Nagios will send out notifications for this host as it normally would.  Scheduled downtimes are preserved\n");
-		printf("across program shutdowns and restarts.  Both the start and end times should be specified in the following format:  <b>mm/dd/yyyy hh:mm:ss</b>.\n");
-		printf("If you select the <i>fixed</i> option, the downtime will be in effect between the start and end times you specify.  If you do not select the <i>fixed</i>\n");
-		printf("option, Nagios will treat this as \"flexible\" downtime.  Flexible downtime starts when the host goes down or becomes unreachable (sometime between the\n");
-		printf("start and end times you specified) and lasts as long as the duration of time you enter.  The duration fields do not apply for fixed downtime.\n");
-		break;
-
 	case CMD_SCHEDULE_SVC_DOWNTIME:
 		printf("This command is used to schedule downtime for a particular service.  During the specified downtime, Nagios will not send notifications out about the service.\n");
 		printf("When the scheduled downtime expires, Nagios will send out notifications for this service as it normally would.  Scheduled downtimes are preserved\n");
diff -Naur a/cgi/extinfo.c b/cgi/extinfo.c
--- a/cgi/extinfo.c	2009-09-10 12:41:01.000000000 +0200
+++ b/cgi/extinfo.c	2009-07-03 17:59:23.000000000 +0200
@@ -1264,8 +1264,6 @@
 			printf("<tr CLASS='command'><td><img src='%s%s' border=0 ALT='Delay Next Host Notification' TITLE='Delay Next Host Notification'></td><td CLASS='command'><a href='%s?cmd_typ=%d&host=%s'>Delay next host notification</a></td></tr>\n",url_images_path,DELAY_ICON,COMMAND_CGI,CMD_DELAY_HOST_NOTIFICATION,url_encode(host_name));
 
 		printf("<tr CLASS='command'><td><img src='%s%s' border=0 ALT='Schedule Downtime For This Host' TITLE='Schedule Downtime For This Host'></td><td CLASS='command'><a href='%s?cmd_typ=%d&host=%s'>Schedule downtime for this host</a></td></tr>\n",url_images_path,DOWNTIME_ICON,COMMAND_CGI,CMD_SCHEDULE_HOST_DOWNTIME,url_encode(host_name));
-		
-		printf("<tr CLASS='command'><td><img src='%s%s' border=0 ALT='Schedule Downtime For This Host and all Services' TITLE='Schedule Downtime For This Host and all Services'></td><td CLASS='command'><a href='%s?cmd_typ=%d&host=%s'>Schedule downtime for this host and all Services</a></td></tr>\n",url_images_path,DOWNTIME_ICON,COMMAND_CGI,CMD_SCHEDULE_HOST_SVC_DOWNTIME,url_encode(host_name));
 
 		/*
 		printf("<tr CLASS='command'><td><img src='%s%s' border=0 ALT='Cancel Scheduled Downtime For This Host' TITLE='Cancel Scheduled Downtime For This Host'></td><td CLASS='command'><a href='%s?cmd_typ=%d&host=%s'>Cancel scheduled downtime for this host</a></td></tr>\n",url_images_path,SCHEDULED_DOWNTIME_ICON,COMMAND_CGI,CMD_CANCEL_HOST_DOWNTIME,url_encode(host_name));
